// 3 dimension objects have foreground colors, labels etc.
// This is everything but line objects such as edges

class CLandscapeObject3D : public CLandscapeObject {
private:
	const char	*m_idP;	// The id of this entity or class (the name that identifies it uniquely in TA)

protected:

	const char	*m_labelP;

	CLandscapeObject3D(void); 

public:
	const char *getId(void); 
	void setId(const char *idP); 
	int hasId(const char *idP);
	const char *getLabel(void) const {
		return m_labelP;
	}
};
